package cryptopals_test

import (
	"testing"

	"mvvasilev.dev/cryptopals/set1"
)

const Challenge1HexValue = "49276d206b696c6c696e6720796f757220627261696e206c696b65206120706f69736f6e6f7573206d757368726f6f6d"

func Test_Challenge1(t *testing.T) {
	const expected = "SSdtIGtpbGxpbmcgeW91ciBicmFpbiBsaWtlIGEgcG9pc29ub3VzIG11c2hyb29t"

	value, success := set1.HexToBase64(Challenge1HexValue)

	if !success || value != expected {
		t.Fatal("Set 1, Challenge 1 has failed")
	}
}
